// Breakpoints

$small: 768px;
$medium: 992px;
$large: 1320px;
$x-large: 1600px;

@mixin bp($point) {
  @if $point == xs {
    @content;
  } @else if $point == xs-sm {
    @media (max-width: $small - 1px) {
      @content;
    }
  } @else if $point == xs-md {
    @media (max-width: $medium - 1px) {
      @content;
    }
  } @else if $point == xs-lg {
    @media (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == sm {
    @media (min-width: $small) {
      @content;
    }
  } @else if $point == sm-md {
    @media (min-width: $small) and (max-width: $medium - 1px) {
      @content;
    }
  } @else if $point == sm-lg {
    @media (min-width: $small) and (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == md {
    @media (min-width: $medium) {
      @content;
    }
  } @else if $point == md-lg {
    @media (min-width: $medium) and (max-width: $large - 1px) {
      @content;
    }
  } @else if $point == lg {
    @media (min-width: $large) {
      @content;
    }
  } @else if $point == xlg {
    @media (min-width: $x-large) {
      @content;
    }
  }
}

.container {
  @include bp(lg) {
    max-width: 1320px;
  }
}

.timeline-tasks {
  .headline {
    h2 {
      font-size: 22px;
      color: #484b4e;
      margin-bottom: 6px;
    }
  }

  > div:not(.has-visited) {
    .headline {
      opacity: 0.7;
    }

    .action-card.disabled {
      &:after {
        content: "";
        background: linear-gradient(90deg, rgba(251, 253, 254, 0) 0%, rgba(251, 253, 254, 1) 100%);
        width: 160px;
        height: 100%;
        position: absolute;
        top: 0;
        right: 0;
      }
    }
  }
}
